Predator MDC for Android Requirements

Predator MDC for Android

Multiple Android Editions

Support for the following Android tablet and cell phone versions are included with Predator MDC for Android v11:

  • Android v7.0 Nougat
  • Android v6.0 Marshmallow
  • Android v5.0 - v5.1.1 Lollipop
  • Android v4.4 - v4.4.1 KitKat
  • Android v4.1 - v4.3.1 Jelly Bean
  • Android v4.01 - v4.04 Ice Cream Sandwich

Android Logo

Other Predator Knowledge Base Articles

The following Predator Knowledge Base Articles are available to help troubleshoot issues.